Debian Bug report logs - #734944
xutils-dev: imake is broken (missing DEBUG CFLAGS) on arm64

version graph

Package: src:xutils-dev; Maintainer for src:xutils-dev is Debian X Strike Force <debian-x@lists.debian.org>;

Reported by: Wookey <wookey@wookware.org>

Date: Sat, 11 Jan 2014 00:00:01 UTC

Severity: normal

Tags: patch

Found in version xutils-dev/7.7+1

Fixed in version xutils-dev/1:7.7+2

Done: Julien Cristau <jcristau@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#734944; Package src:xutils-dev. (Sat, 11 Jan 2014 00:00:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Wookey <wookey@wookware.org>:
New Bug report received and forwarded. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Sat, 11 Jan 2014 00:00:06 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Wookey <wookey@wookware.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: xutils-dev: imake is broken (missing DEBUG CFLAGS) on arm64
Date: Fri, 10 Jan 2014 23:57:57 +0000
[Message part 1 (text/plain, inline)]
Source: xutils-dev
Version: 7.7+1
Severity: normal
Tags: patch
User: debian-arm@lists.debian.org
Usertag: arm64

This version of xutils-dev has arm64/aarch64 patches in it, but the
result is not quite right. The problem is discovered building nas, which FTBFS with:
gcc -c DefaultGcc2AArch64Opt ....
no such file: DefaultGcc2AArch64Opt

That line should read:
gcc -c -g -O2 -fno-strict-aliasing ...

It turned out (after some rune-peering as I've never touched imake before) that xmkmf processing was setting
CXXDEBUGFLAGS = DefaultGcc2Aarch64Opt in all the Makefiles.

This value came from /usr/lib/X11/config/linux.cf
where DefaultGcc2<arch>Opt had been changed in the debian patch for all arches except the new Aarch64.

This patch fixes that omission. And nas builds as a result.

It may be that more arm64-specific changes are needed in this package,
but I don't know enough (i.e anything!) about how all the .cf files
interact to do that now. This fixes the known issues.

-- System Information:
Debian Release: 7.3
  APT prefers stable
  APT policy: (990, 'stable')
Architecture: i386 (i686)

Kernel: Linux 3.2.0-kvm-i386-20110111 (SMP w/1 CPU core)
Locale: LANG=en_GB.UTF-8, LC_CTYPE=en_GB.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash
[xutils-dev_7.7+1-missing-default-flags.patch (text/x-diff, attachment)]

Added tag(s) pending. Request was from Julien Cristau <jcristau@debian.org> to control@bugs.debian.org. (Sat, 11 Jan 2014 11:00:05 GMT) Full text and rfc822 format available.

Reply sent to Julien Cristau <jcristau@debian.org>:
You have taken responsibility. (Sun, 12 Jan 2014 21:27:09 GMT) Full text and rfc822 format available.

Notification sent to Wookey <wookey@wookware.org>:
Bug acknowledged by developer. (Sun, 12 Jan 2014 21:27:09 GMT) Full text and rfc822 format available.

Message #12 received at 734944-close@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: 734944-close@bugs.debian.org
Subject: Bug#734944: fixed in xutils-dev 1:7.7+2
Date: Sun, 12 Jan 2014 21:24:59 +0000
Source: xutils-dev
Source-Version: 1:7.7+2

We believe that the bug you reported is fixed in the latest version of
xutils-dev, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 734944@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Julien Cristau <jcristau@debian.org> (supplier of updated xutils-dev package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@ftp-master.debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sun, 12 Jan 2014 19:10:02 +0100
Source: xutils-dev
Binary: xutils-dev
Architecture: source amd64
Version: 1:7.7+2
Distribution: sid
Urgency: medium
Maintainer: Debian X Strike Force <debian-x@lists.debian.org>
Changed-By: Julien Cristau <jcristau@debian.org>
Description: 
 xutils-dev - X Window System utility programs for development
Closes: 734944
Changes: 
 xutils-dev (1:7.7+2) unstable; urgency=medium
 .
   [ Julien Cristau ]
   * util-macros 1.18.0.
 .
   [ Wookey ]
   * Add missing AArch64/arm64 default C options (closes: #734944)
Checksums-Sha1: 
 fc7c4dcb10ae9c1e4cbf924f0eb46ad8286f22ca 1689 xutils-dev_7.7+2.dsc
 0c63a09bf10ee2bbc2f5c6c430902c0e845005c5 1223476 xutils-dev_7.7+2.tar.gz
 b85f26c9709c534fa834a546b55c64c8eee9db14 241446 xutils-dev_7.7+2_amd64.deb
Checksums-Sha256: 
 4dc8b89cc4754b8ecb6e598052d460dfe8ee800cf8c21d13497ddda97762a17c 1689 xutils-dev_7.7+2.dsc
 fc1716dfb1346e5d8a3c6992d6445acdd1a055ab7a967db64fb5dca74c6437ca 1223476 xutils-dev_7.7+2.tar.gz
 e85d8745aebc128bcb2295a98180aa8ef46bac5be819ccebd41d6cde7e7249cd 241446 xutils-dev_7.7+2_amd64.deb
Files: 
 f96ef96735324d52cf0f711a4040cc5f 1689 x11 optional xutils-dev_7.7+2.dsc
 0dd6766fcc8559f62df22d475567a1e3 1223476 x11 optional xutils-dev_7.7+2.tar.gz
 6cc732118fd4f4298e517b90ddb86687 241446 x11 optional xutils-dev_7.7+2_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.15 (GNU/Linux)

iQIcBAEBAgAGBQJS0vkfAAoJEDEBgAUJBeQMF0AP/1H+3LZl5XtQrMFti2EnEIXR
9KS7cVn3fQkgJH6YDOvTJOI9OjSj8nUGGVeDlBMsySGciiXfYE5Lhv7dQVXqCQhZ
8RJzvfnZUNZrouzTysCTR3pjGj4xYlLl3ICNHO5j93R7cY1vS0/cYpv3xePNcb5W
fMn8pd5tewwQzkUFx2545vUN+P5Dx041QJYzYGx3wtOp29gYdKy0sTX2j0P41vz2
vGwt3LIRassZm6F3HvOBKjc1MROqEft11l77oqK2+zeW6WeA29eCQ/UTstp2XsRX
Y0xEfwXfR+l6KadlBTW3rC8vuemUo9gqBZtSkMQM6gA3yWh+6oCQCpGUnA2YLM0i
gxkwO5p0wVBOe4M3eIBupDNoNBmTHCmVFEz8ZXEdhqTuC0YmfwHv0JUYsOmqlNSJ
33Y+25QH0GQfDjxvocjQGnhJRtlTdpdLFq46X1reozeNnqfbThlwm2J0XDmzYu6F
1QAJj2liiQxk8HOs44KsqKDzPnaLf/CJfObx3r2pJOgCit/6hjJjFFh6DnFXtfCL
+V0mhCKudCABV03eIMaDPxzkIJfGiM508dgGvPb2EvZwgrt1jdSVGIQcXW52Cxen
YAruHUsiOmbl2wUOPfXiDVix9vlQD5xruQOwVucXtsYJN4ajl6gVgXbXT7iooTMa
4sIoU4uP54zJsr47cVda
=Wob9
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 15 Feb 2014 07:33:37 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 16:41:02 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.